%bcond_without tests

%global original_name toml-adapt
%global pretty_name toml_adapt

%global _description %{expand:
Working with TOML files is becoming inevitable during the package maintenance
process in different ecosystems. Many times package maintainers must either
change the version of dependency or add/remove dependencies when building
their packages, due to the inconsistent base system. For example, solving
this issue can be done either by using the provided patches or using sed
commands. However, this may be slightly time-consuming and irritating. A
very simple yet user-friendly command line interface was developed in
order to make this process easier.}

Name:           python-%{original_name}
Version:        0.3.0
Release:    1%{?dist}
Summary:        A simple command-line interface for manipulating toml files

License:        MIT
URL:            https://github.com/firefly-cpp/%{original_name}
Source0:        %{url}/archive/%{version}/%{original_name}-%{version}.tar.gz

BuildArch:      noarch

%description %_description

%package -n python3-%{original_name}
Summary:        %{summary}

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  %{py3_dist pytest}
%endif

%description -n python3-%{original_name} %_description

%package doc
Summary:        %{summary}

%description doc
Documentation for %{name}.

%prep
%autosetup -n %{original_name}-%{version}
rm -fv poetry.lock

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pretty_name}

install -D -t '%{buildroot}%{_mandir}/man1' -m 0644 %{original_name}.1

%check

%pytest

%files -n python3-%{original_name} -f %{pyproject_files}
%{_bindir}/%{original_name}
%license LICENSE
%doc README.md AUTHORS.rst CODE_OF_CONDUCT.md CHANGELOG.md
%{_mandir}/man1/%{original_name}.1*
 
%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-1
- initial build
